org.eclipse.ease.lang.javascript.rhino.debugger

## Class RhinoDebugger.RhinoDebugFrame

- java.lang.Object
- - org.eclipse.ease.debugging.EaseDebugFrame
  - - org.eclipse.ease.lang.javascript.rhino.debugger.RhinoDebugger.RhinoDebugFrame

All Implemented Interfaces:
  IScriptDebugFrame, org.mozilla.javascript.debug.DebugFrame

Enclosing class:
  RhinoDebugger

    public class RhinoDebugger.RhinoDebugFrame
    extends EaseDebugFrame
    implements org.mozilla.javascript.debug.DebugFrame, IScriptDebugFrame

### Field Summary

### Fields inherited from interface org.eclipse.ease.debugging.IScriptDebugFrame

`TYPE_FILE, TYPE_FUNCTION`

### Constructor Summary

Constructors
Constructor and Description
`RhinoDebugFrame(org.mozilla.javascript.debug.DebuggableScript fnOrScript, Script script)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,java.lang.Object>` `getVariables()`
`java.lang.Object` `inject(java.lang.String expression)`
`void` `onDebuggerStatement(org.mozilla.javascript.Context cx)`
`void` `onEnter(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable activation, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args)`
`void` `onExceptionThrown(org.mozilla.javascript.Context cx, java.lang.Throwable ex)`
`void` `onExit(org.mozilla.javascript.Context cx, boolean byThrow, java.lang.Object resultOrException)`
`void` `onLineChange(org.mozilla.javascript.Context cx, int lineNumber)`
`void` `setVariable(java.lang.String name, java.lang.Object content)`

### Methods inherited from class org.eclipse.ease.debugging.EaseDebugFrame

`getLineNumber, getScript, getType, setLineNumber`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.debugging.IScriptDebugFrame

`getLineNumber, getScript, getType, setLineNumber`

### Constructor Detail

#### RhinoDebugFrame

    public RhinoDebugFrame(org.mozilla.javascript.debug.DebuggableScript fnOrScript,
                           Script script)

### Method Detail

#### onEnter

    public void onEnter(org.mozilla.javascript.Context cx,
                        org.mozilla.javascript.Scriptable activation,
                        org.mozilla.javascript.Scriptable thisObj,
                        java.lang.Object[] args)

Specified by:
  `onEnter` in interface `org.mozilla.javascript.debug.DebugFrame`

#### onLineChange

    public void onLineChange(org.mozilla.javascript.Context cx,
                             int lineNumber)

Specified by:
  `onLineChange` in interface `org.mozilla.javascript.debug.DebugFrame`

#### onExceptionThrown

    public void onExceptionThrown(org.mozilla.javascript.Context cx,
                                  java.lang.Throwable ex)

Specified by:
  `onExceptionThrown` in interface `org.mozilla.javascript.debug.DebugFrame`

#### onExit

    public void onExit(org.mozilla.javascript.Context cx,
                       boolean byThrow,
                       java.lang.Object resultOrException)

Specified by:
  `onExit` in interface `org.mozilla.javascript.debug.DebugFrame`

#### onDebuggerStatement

    public void onDebuggerStatement(org.mozilla.javascript.Context cx)

Specified by:
  `onDebuggerStatement` in interface `org.mozilla.javascript.debug.DebugFrame`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IScriptDebugFrame`
Overrides:
  `getName` in class `EaseDebugFrame`

#### getVariables

    public java.util.Map<java.lang.String,java.lang.Object> getVariables()

Overrides:
  `getVariables` in class `EaseDebugFrame`

#### setVariable

    public void setVariable(java.lang.String name,
                            java.lang.Object content)

Specified by:
  `setVariable` in interface `IScriptDebugFrame`
Overrides:
  `setVariable` in class `EaseDebugFrame`

#### inject

    public java.lang.Object inject(java.lang.String expression)
                            throws java.lang.Throwable

Specified by:
  `inject` in interface `IScriptDebugFrame`
Overrides:
  `inject` in class `EaseDebugFrame`
Throws:
  `java.lang.Throwable`